Categorized/graduated symbology does not work for a virtual field computed using a joined column

2014-11-04 04:24 AM - Joseph Liam

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19815

Description

Creating a virtual field for a layer and adding up 2 integer fields from that layer works fine. I get the correct results and I can use the virtual

field for styling.

However, when doing a Joins with 2 layers and using a virtual field to add up an integer column from each layer, the results displayed are

correct. But QGIS does not recognise the values when styling.

When I try to classify this in the Categorized styling option, for example, no data values are recognised.

Strangely, I am able to export the layer, including the virtual field, as a .csv which outputs all the correct results for the virtual field.

Attached are 2 simple point layers: Layer_A is JOINED with Layer_B, the virtual field is created in Layer_A. The virtual field calculates the

Grade of both layers by simple addition.

Associated revisions

Revision fa89e292 - 2015-06-09 08:27 PM - Jürgen Fischer

feature iterator: include attributes required by virtual fields first so that

they trigger joins if necessary (fixes #11545)

Revision cafbef1b - 2015-06-29 06:50 PM - Jürgen Fischer

feature iterator: include attributes required by virtual fields first so that

they trigger joins if necessary (fixes #11545)

History

#1 - 2014-11-04 06:08 AM - Giovanni Manghi

- Subject changed from Cannot use values of Virtual Fields, calculated from JOINED layers, for rendering style to Categorized/graduated symbology 

does not work for a virtual field computed using a joined column

- OS version deleted (7 Professional)

- Operating System deleted (Windows)

- Target version changed from Version 2.6 to Version 2.8

- Affected QGIS version changed from 2.6.0 to master

#2 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2
#3 - 2015-05-10 01:06 AM - Jürgen Fischer

- Target version changed from Version 2.8.2 to Future Release - High Priority

#4 - 2015-06-09 11:30 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"fa89e292cef8798cf11b3800aec88b3c4e53cde8".
